# Models

## The ErrorListModel object

```json
{"openapi":"3.0.3","info":{"title":"Synergy Sports - Auth API","version":"1.0.0"},"components":{"schemas":{"ErrorListModel":{"properties":{"code":{"description":"HTTP Error code indicating the type of error.","format":"int32","type":"integer"},"message":{"description":"A message indicating the reason for the error","type":"string"},"reason":{"description":"A short code indicating the type of error","enum":["INVALID_DATA","NOT_FOUND","NOT_AUTHORISED","ERROR"]}},"type":"object"}}}}
```

## The ErrorModel object

```json
{"openapi":"3.0.3","info":{"title":"Synergy Sports - Auth API","version":"1.0.0"},"components":{"schemas":{"ErrorModel":{"properties":{"code":{"description":"HTTP Error code indicating the type of error.  If there are multiple errors, then this will be the code of the first one.","format":"int32","type":"integer"},"errors":{"items":{"$ref":"#/components/schemas/ErrorListModel"},"type":"array"},"message":{"description":"A message indicating the reason for the error. If there are multiple errors, then this is the message for the first one.","type":"string"}},"type":"object"},"ErrorListModel":{"properties":{"code":{"description":"HTTP Error code indicating the type of error.","format":"int32","type":"integer"},"message":{"description":"A message indicating the reason for the error","type":"string"},"reason":{"description":"A short code indicating the type of error","enum":["INVALID_DATA","NOT_FOUND","NOT_AUTHORISED","ERROR"]}},"type":"object"}}}}
```

## The ResponseMetaData object

```json
{"openapi":"3.0.3","info":{"title":"Synergy Sports - Auth API","version":"1.0.0"},"components":{"schemas":{"ResponseMetaData":{"properties":{"code":{"description":"The HTTP response code for this request","type":"integer"},"codeVersion":{"description":"A string indicating the version of the code that handled this request","type":"string"},"generationTime":{"description":"The number of seconds taken to generate this request.","format":"float","type":"number"},"time":{"description":"The date/time this request was made (in UTC).","format":"date-time","type":"string"},"version":{"description":"The version of the API in use for this call","type":"string"}},"type":"object"}}}}
```

## The StreamScopesVenue object

```json
{"openapi":"3.0.3","info":{"title":"Synergy Sports - Auth API","version":"1.0.0"},"components":{"schemas":{"StreamScopesVenue":{"description":"A list of permission scopes that you want for this call. If you request scopes that you do not have permission for, then the call will fail.\nAvailable options:\n>- write:stream_scoreboard\n>- read:stream_scoreboard ","type":"array","uniqueItems":true,"items":{"type":"string"}}}}}
```

## The StreamScopes object

```json
{"openapi":"3.0.3","info":{"title":"Synergy Sports - Auth API","version":"1.0.0"},"components":{"schemas":{"StreamScopes":{"description":"A list of permission scopes that you want for this call.  If you request scopes that you do not have permission for, then the call will fail.\nAvailable options:\n>- write:stream_events\n- write:stream_tracking\n- write:stream_biometrics\n- write:stream_scoreboard\n- read:stream_events\n- read:stream_tracking\n- read:stream_biometrics\n- read:stream_scoreboard\n- read:stream_status\n- read:stream_statistics\n- read:stream_statistics_periods\n- read:stream_play_by_play\n- read:stream_persons\n","type":"array","uniqueItems":true,"items":{"type":"string"}}}}}
```

## The Credentials object

```json
{"openapi":"3.0.3","info":{"title":"Synergy Sports - Auth API","version":"1.0.0"},"components":{"schemas":{"Credentials":{"type":"object","title":"Application Credentials","properties":{"credentialId":{"description":"Credential identifier.","type":"string"},"credentialSecret":{"description":"Secret code related to the `credentialId`.","type":"string"}},"required":["credentialId","credentialSecret"]}}}}
```

## The CredentialsUser object

```json
{"openapi":"3.0.3","info":{"title":"Synergy Sports - Auth API","version":"1.0.0"},"components":{"schemas":{"CredentialsUser":{"type":"object","title":"Individual User Credentials","properties":{"userIdentityToken":{"$ref":"#/components/schemas/UserIdentityToken"},"applicationId":{"description":"Id of application to authenticate to. Used in conjunction with userIdentityToken.","type":"string","format":"number"}},"required":["userIdentityToken","applicationId"]},"UserIdentityToken":{"description":"A user token received on login to the single sign on system.","type":"string"}}}}
```

## The UserIdentityToken object

```json
{"openapi":"3.0.3","info":{"title":"Synergy Sports - Auth API","version":"1.0.0"},"components":{"schemas":{"UserIdentityToken":{"description":"A user token received on login to the single sign on system.","type":"string"}}}}
```

## The Sport object

```json
{"openapi":"3.0.3","info":{"title":"Synergy Sports - Auth API","version":"1.0.0"},"components":{"schemas":{"Sport":{"description":"The sport for this call","type":"string","enum":["basketball","baseball","volleyball","football","handball","icehockey","hockey","badminton","futsal"]}}}}
```

## The FixtureId object

```json
{"openapi":"3.0.3","info":{"title":"Synergy Sports - Auth API","version":"1.0.0"},"components":{"schemas":{"FixtureId":{"description":"The Id of the fixture you want to subscribe to.","type":"string"}}}}
```

## The VenueId object

```json
{"openapi":"3.0.3","info":{"title":"Synergy Sports - Auth API","version":"1.0.0"},"components":{"schemas":{"VenueId":{"description":"The Id of the venue you want to subscribe to.","type":"string"}}}}
```

## The CustomerId object

```json
{"openapi":"3.0.3","info":{"title":"Synergy Sports - Auth API","version":"1.0.0"},"components":{"schemas":{"CustomerId":{"description":"The id of the customer.","type":"string","format":"number"}}}}
```

## The IncludePort object

```json
{"openapi":"3.0.3","info":{"title":"Synergy Sports - Auth API","version":"1.0.0"},"components":{"schemas":{"IncludePort":{"description":"If `true`, the returned signed WebSocket endpoint URL will include the port (default: `false`). Some websocket/mqtt libraries require this.","type":"boolean"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/datacore/auth-api/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
